<?php 
/***************************************************************************
 *   
 *   menu.php
 *
 *   copyright (C) 2006-2009 Click Here Software Co.
 *
 *   written by: Maurice Randall
 *
 *   distributed by: FixingTheWeb.com
 *
 *   email: support@fixingtheweb.com
 *
 *   Version 1.1 : December 7, 2009
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This is the main menu display for the htcountryblock package which is
 *   used for blocking entire countries from having access to a web site
 *   running on a shared server.
 *
 ***************************************************************************/

/***************************************************************************
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *   
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *   
 ***************************************************************************/

// The version number of this release.
$COUNTRYINDEX_VERSION="V1.0";

// The name of the database setup program.
$COUNTRY_SETUP="countryhtsetup.php";
// The name of the country selecting program.
$COUNTRY_SELECTOR="countryhtaccess.php";
// The name of the ip to country program.
$COUNTRY_LOOKUP="iptocountry.php";
// The name of the documentation starting file.
$COUNTRY_DOCS="htblock00.html";

if (isset($_POST['dbsetup'])) {
   include ($COUNTRY_SETUP);
}
elseif (isset($_POST['selectcountries'])) {
   include ($COUNTRY_SELECTOR);
}
elseif (isset($_POST['iptocountry'])) {
   include ($COUNTRY_LOOKUP);
}
elseif (isset($_POST['docs'])) {
   include ($COUNTRY_DOCS);
}
else {

?>

<html>
<head>
<title>
HTCountryBlock Menu
</title>
</head>
<body>

<font size="+1"><b>HTCountryBlock Menu</b></font>
<?php echo "<br>menu.php ".$COUNTRYINDEX_VERSION; ?>
<p><font size="-1"><b>Visit fixingtheweb.com for this and other useful stuff.</b></font>
<hr>
<table align="center" width="100%">
<tr>
<td width="50%">

<form method="POST" action="menu.php"> 

<br><input type=submit  name="dbsetup" value="Database Setup">
<br>Use this for the initial setup as well as whenever you upgrade the .csv database
<p><input type=submit  name="selectcountries" value="Country Selections">
<br>Pick and choose the countries to block
<p><input type=submit  name="iptocountry" value="IP to Country">
<br>Look up an IP address and find the country it belongs to
<p><input type=submit  name="docs" value="Documentation">
<br>Complete documentation for this package.
<br>Or open the documentation in a <a href="htblock00.html" target="_blank">new window</a>
</form>

</body>
</html>

<?php
}
?>
